// ModuleInfo.cpp : implementation file
//

#include "stdafx.h"
#include "wgm.h"
#include "ModuleInfo.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CModuleInfo

CModuleInfo::CModuleInfo()
{
     modcnt=0;
     modarray=(struct modinf *)NULL;
     selmods=(BOOL *)NULL;
}

CModuleInfo::~CModuleInfo()
{
     if (modarray != NULL) {
          for (int i=0 ; i < modcnt ; i++) {
               free(modarray[i].supfils);
          }
          free(modarray);
          free(selmods);
          modarray=(struct modinf *)NULL;
     }
}